ApplicationJob tests fail when run on jenkins from a plugin
Status: Closed   

Priority: Normal   

Assignee: Adam Ruzicka   

Category:    

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5690,

https://github.com/theforeman/foreman/p

ull/5692

  

Description

Related issues:

Related to Foreman - Bug #23611: ApplicationJob starts when foreman_tasks doe... Closed 05/16/2018

Associated revisions

Revision 30aa03f4 - 06/14/2018 09:08 AM - Adam Ruzicka

Fixes #23932 - Fixes failing application job tests for some plugins

The tests were failing with:

Sequel::DatabaseError: PG::DuplicateTable:

ERROR:  relation "dynflow_execution_plans" already exists

This failure was probably caused by forcing initialization of the

Dynflow world in a before test block.

History

#1 - 06/14/2018 07:42 AM - Adam Ruzicka

- Related to Bug #23611: ApplicationJob starts when foreman_tasks does not exist added

#2 - 06/14/2018 07:48 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5690 added

#3 - 06/14/2018 10:01 AM - Adam Ruzicka

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 30aa03f4ee933658825e1acdb71d670149592b98.

#4 - 06/14/2018 10:12 AM - Ivan Necas

- translation missing: en.field_release set to 330

#5 - 06/14/2018 10:19 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5692 added
